import { XYChartDescription } from "./XYChartDescription";
import { TimeAxisBreakDescription } from "./TimeAxisBreakDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class FinancialChartDescription extends XYChartDescription {
    static $t: Type;
    private l7;
    get tooltipTemplateRef(): string;
    set tooltipTemplateRef(a: string);
    private l9;
    get width(): string;
    set width(a: string);
    private l6;
    get height(): string;
    set height(a: string);
    private l4;
    get background(): string;
    set background(a: string);
    protected get_type(): string;
    constructor();
    private k3;
    get leftMargin(): number;
    set leftMargin(a: number);
    private kj;
    get isHorizontalZoomEnabled(): boolean;
    set isHorizontalZoomEnabled(a: boolean);
    private k7;
    get toolbarHeight(): number;
    set toolbarHeight(a: number);
    private kp;
    get yAxisIsLogarithmic(): boolean;
    set yAxisIsLogarithmic(a: boolean);
    private lw;
    get yAxisLogarithmBase(): number;
    set yAxisLogarithmBase(a: number);
    private k9;
    get yAxisInterval(): number;
    set yAxisInterval(a: number);
    private lb;
    get yAxisMinimumValue(): number;
    set yAxisMinimumValue(a: number);
    private la;
    get yAxisMaximumValue(): number;
    set yAxisMaximumValue(a: number);
    private lc;
    get yAxisMinorInterval(): number;
    set yAxisMinorInterval(a: number);
    private l8;
    get volumeType(): string;
    set volumeType(a: string);
    private ma;
    get xAxisMode(): string;
    set xAxisMode(a: string);
    private mc;
    get yAxisMode(): string;
    set yAxisMode(a: string);
    private kl;
    get isToolbarVisible(): boolean;
    set isToolbarVisible(a: boolean);
    private l5;
    get chartType(): string;
    set chartType(a: string);
    private mb;
    get yAxisLabelHorizontalAlignment(): string;
    set yAxisLabelHorizontalAlignment(a: string);
    private kn;
    get isWindowSyncedToVisibleRange(): boolean;
    set isWindowSyncedToVisibleRange(a: boolean);
    private jv;
    get indicatorTypes(): string[];
    set indicatorTypes(a: string[]);
    private j0;
    get overlayTypes(): string[];
    set overlayTypes(a: string[]);
    private ko;
    get yAxisAbbreviateLargeNumbers(): boolean;
    set yAxisAbbreviateLargeNumbers(a: boolean);
    private k6;
    get resolution(): number;
    set resolution(a: number);
    private md;
    get zoomSliderType(): string;
    set zoomSliderType(a: string);
    private jw;
    get negativeBrushes(): string[];
    set negativeBrushes(a: string[]);
    private jx;
    get negativeOutlines(): string[];
    set negativeOutlines(a: string[]);
    private jy;
    get overlayBrushes(): string[];
    set overlayBrushes(a: string[]);
    private jz;
    get overlayOutlines(): string[];
    set overlayOutlines(a: string[]);
    private j3;
    get volumeOutlines(): string[];
    set volumeOutlines(a: string[]);
    private j2;
    get volumeBrushes(): string[];
    set volumeBrushes(a: string[]);
    private ju;
    get indicatorNegativeBrushes(): string[];
    set indicatorNegativeBrushes(a: string[]);
    private js;
    get indicatorBrushes(): string[];
    set indicatorBrushes(a: string[]);
    private k8;
    get volumeThickness(): number;
    set volumeThickness(a: number);
    private k5;
    get overlayThickness(): number;
    set overlayThickness(a: number);
    private k4;
    get overlayMultiplier(): number;
    set overlayMultiplier(a: number);
    private k2;
    get indicatorThickness(): number;
    set indicatorThickness(a: number);
    private jt;
    get indicatorDisplayTypes(): string[];
    set indicatorDisplayTypes(a: string[]);
    private ls;
    get indicatorPeriod(): number;
    set indicatorPeriod(a: number);
    private k1;
    get indicatorMultiplier(): number;
    set indicatorMultiplier(a: number);
    private lv;
    get indicatorSmoothingPeriod(): number;
    set indicatorSmoothingPeriod(a: number);
    private lt;
    get indicatorShortPeriod(): number;
    set indicatorShortPeriod(a: number);
    private lr;
    get indicatorLongPeriod(): number;
    set indicatorLongPeriod(a: number);
    private lu;
    get indicatorSignalPeriod(): number;
    set indicatorSignalPeriod(a: number);
    private j1;
    get rangeSelectorOptions(): string[];
    set rangeSelectorOptions(a: string[]);
    private jr;
    get customIndicatorNames(): string[];
    set customIndicatorNames(a: string[]);
    private km;
    get isVerticalZoomEnabled(): boolean;
    set isVerticalZoomEnabled(a: boolean);
    private me;
    get zoomSliderXAxisMajorStroke(): string;
    set zoomSliderXAxisMajorStroke(a: string);
    private ld;
    get zoomSliderXAxisMajorStrokeThickness(): number;
    set zoomSliderXAxisMajorStrokeThickness(a: number);
    private kk;
    get isLegendVisible(): boolean;
    set isLegendVisible(a: boolean);
    private ky;
    get xAxisMinimumValue(): Date;
    set xAxisMinimumValue(a: Date);
    private kx;
    get xAxisMaximumValue(): Date;
    set xAxisMaximumValue(a: Date);
    private j4;
    get xAxisBreaks(): TimeAxisBreakDescription[];
    set xAxisBreaks(a: TimeAxisBreakDescription[]);
    private l3;
    get applyCustomIndicatorsRef(): string;
    set applyCustomIndicatorsRef(a: string);
}
